<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.poifs.filesystem Class Hierarchy (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.poifs.filesystem Class Hierarchy (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/eventfilesystem/package-tree.html">Prev</a></li>
        <li><a href="../../../../../org/apache/poi/poifs/macros/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/filesystem/package-tree.html"
               target="_top">Frames</a></li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 class="title">Hierarchy For Package org.apache.poi.poifs.filesystem</h1>
    <span class="packageHierarchyLabel">Package Hierarchies:</span>
    <ul class="horizontal">
        <li><a href="../../../../../overview-tree.html">All Packages</a></li>
    </ul>
</div>
<div class="contentContainer">
    <h2 title="Class Hierarchy">Class Hierarchy</h2>
    <ul>
        <li type="circle">java.lang.Object
            <ul>
                <li type="circle">org.apache.poi.poifs.filesystem.<a
                        href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.html"
                        title="class in org.apache.poi.poifs.filesystem"><span
                        class="typeNameLink">BlockStore</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.poifs.filesystem.<a
                                href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">POIFSFileSystem</span></a>
                            (implements java.io.Closeable, org.apache.poi.poifs.dev.<a
                                    href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html"
                                    title="interface in org.apache.poi.poifs.dev">POIFSViewable</a>)
                        </li>
                        <li type="circle">org.apache.poi.poifs.filesystem.<a
                                href="../../../../../org/apache/poi/poifs/filesystem/POIFSMiniStore.html"
                                title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">POIFSMiniStore</span></a>
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.poifs.filesystem.<a
                        href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.ChainLoopDetector.html"
                        title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">BlockStore.ChainLoopDetector</span></a>
                </li>
                <li type="circle">org.apache.poi.poifs.filesystem.<a
                        href="../../../../../org/apache/poi/poifs/filesystem/DocumentDescriptor.html"
                        title="class in org.apache.poi.poifs.filesystem"><span
                        class="typeNameLink">DocumentDescriptor</span></a></li>
                <li type="circle">org.apache.poi.poifs.filesystem.<a
                        href="../../../../../org/apache/poi/poifs/filesystem/DocumentFactoryHelper.html"
                        title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">DocumentFactoryHelper</span></a>
                </li>
                <li type="circle">org.apache.poi.poifs.filesystem.<a
                        href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html"
                        title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">EntryNode</span></a>
                    (implements org.apache.poi.poifs.filesystem.<a
                            href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                            title="interface in org.apache.poi.poifs.filesystem">Entry</a>)
                    <ul>
                        <li type="circle">org.apache.poi.poifs.filesystem.<a
                                href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">DirectoryNode</span></a>
                            (implements org.apache.poi.poifs.filesystem.<a
                                    href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                    title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a>,
                            java.lang.Iterable&lt;T&gt;, org.apache.poi.poifs.dev.<a
                                    href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html"
                                    title="interface in org.apache.poi.poifs.dev">POIFSViewable</a>)
                        </li>
                        <li type="circle">org.apache.poi.poifs.filesystem.<a
                                href="../../../../../org/apache/poi/poifs/filesystem/DocumentNode.html"
                                title="class in org.apache.poi.poifs.filesystem"><span
                                class="typeNameLink">DocumentNode</span></a> (implements
                            org.apache.poi.poifs.filesystem.<a
                                    href="../../../../../org/apache/poi/poifs/filesystem/DocumentEntry.html"
                                    title="interface in org.apache.poi.poifs.filesystem">DocumentEntry</a>,
                            org.apache.poi.poifs.dev.<a
                                    href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html"
                                    title="interface in org.apache.poi.poifs.dev">POIFSViewable</a>)
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.poifs.filesystem.<a
                        href="../../../../../org/apache/poi/poifs/filesystem/EntryUtils.html"
                        title="class in org.apache.poi.poifs.filesystem"><span
                        class="typeNameLink">EntryUtils</span></a></li>
                <li type="circle">org.apache.poi.poifs.filesystem.<a
                        href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html"
                        title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">FilteringDirectoryNode</span></a>
                    (implements org.apache.poi.poifs.filesystem.<a
                            href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                            title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a>)
                </li>
                <li type="circle">java.io.InputStream (implements java.io.Closeable)
                    <ul>
                        <li type="circle">org.apache.poi.poifs.filesystem.<a
                                href="../../../../../org/apache/poi/poifs/filesystem/DocumentInputStream.html"
                                title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">DocumentInputStream</span></a>
                            (implements org.apache.poi.util.<a
                                    href="../../../../../org/apache/poi/util/LittleEndianInput.html"
                                    title="interface in org.apache.poi.util">LittleEndianInput</a>)
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.poifs.filesystem.<a
                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html"
                        title="class in org.apache.poi.poifs.filesystem"><span
                        class="typeNameLink">Ole10Native</span></a></li>
                <li type="circle">java.io.OutputStream (implements java.io.Closeable, java.io.Flushable)
                    <ul>
                        <li type="circle">org.apache.poi.poifs.filesystem.<a
                                href="../../../../../org/apache/poi/poifs/filesystem/DocumentOutputStream.html"
                                title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">DocumentOutputStream</span></a>
                        </li>
                        <li type="circle">org.apache.poi.poifs.filesystem.<a
                                href="../../../../../org/apache/poi/poifs/filesystem/POIFSStream.StreamBlockByteBuffer.html"
                                title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">POIFSStream.StreamBlockByteBuffer</span></a>
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.poifs.filesystem.<a
                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSDocument.html"
                        title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">POIFSDocument</span></a>
                    (implements java.lang.Iterable&lt;T&gt;, org.apache.poi.poifs.dev.<a
                            href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html"
                            title="interface in org.apache.poi.poifs.dev">POIFSViewable</a>)
                </li>
                <li type="circle">org.apache.poi.poifs.filesystem.<a
                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSDocumentPath.html"
                        title="class in org.apache.poi.poifs.filesystem"><span
                        class="typeNameLink">POIFSDocumentPath</span></a></li>
                <li type="circle">org.apache.poi.poifs.filesystem.<a
                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSStream.html"
                        title="class in org.apache.poi.poifs.filesystem"><span
                        class="typeNameLink">POIFSStream</span></a> (implements java.lang.Iterable&lt;T&gt;)
                </li>
                <li type="circle">org.apache.poi.poifs.filesystem.<a
                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSStream.StreamBlockByteBufferIterator.html"
                        title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">POIFSStream.StreamBlockByteBufferIterator</span></a>
                    (implements java.util.Iterator&lt;E&gt;)
                </li>
                <li type="circle">org.apache.poi.poifs.filesystem.<a
                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSWriterEvent.html"
                        title="class in org.apache.poi.poifs.filesystem"><span
                        class="typeNameLink">POIFSWriterEvent</span></a></li>
                <li type="circle">java.lang.Throwable (implements java.io.Serializable)
                    <ul>
                        <li type="circle">java.lang.Exception
                            <ul>
                                <li type="circle">java.io.IOException
                                    <ul>
                                        <li type="circle">org.apache.poi.poifs.filesystem.<a
                                                href="../../../../../org/apache/poi/poifs/filesystem/NotOLE2FileException.html"
                                                title="class in org.apache.poi.poifs.filesystem"><span
                                                class="typeNameLink">NotOLE2FileException</span></a></li>
                                    </ul>
                                </li>
                                <li type="circle">org.apache.poi.poifs.filesystem.<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10NativeException.html"
                                        title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Ole10NativeException</span></a>
                                </li>
                                <li type="circle">java.lang.RuntimeException
                                    <ul>
                                        <li type="circle">java.lang.IllegalArgumentException
                                            <ul>
                                                <li type="circle">org.apache.poi.<a
                                                        href="../../../../../org/apache/poi/UnsupportedFileFormatException.html"
                                                        title="class in org.apache.poi"><span class="typeNameLink">UnsupportedFileFormatException</span></a>
                                                    <ul>
                                                        <li type="circle">org.apache.poi.poifs.filesystem.<a
                                                                href="../../../../../org/apache/poi/poifs/filesystem/OfficeXmlFileException.html"
                                                                title="class in org.apache.poi.poifs.filesystem"><span
                                                                class="typeNameLink">OfficeXmlFileException</span></a>
                                                        </li>
                                                    </ul>
                                                </li>
                                            </ul>
                                        </li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <h2 title="Interface Hierarchy">Interface Hierarchy</h2>
    <ul>
        <li type="circle">org.apache.poi.poifs.filesystem.<a
                href="../../../../../org/apache/poi/poifs/filesystem/BATManaged.html"
                title="interface in org.apache.poi.poifs.filesystem"><span class="typeNameLink">BATManaged</span></a>
        </li>
        <li type="circle">org.apache.poi.poifs.filesystem.<a
                href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                title="interface in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Entry</span></a>
            <ul>
                <li type="circle">org.apache.poi.poifs.filesystem.<a
                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                        title="interface in org.apache.poi.poifs.filesystem"><span
                        class="typeNameLink">DirectoryEntry</span></a> (also extends java.lang.Iterable&lt;T&gt;)
                </li>
                <li type="circle">org.apache.poi.poifs.filesystem.<a
                        href="../../../../../org/apache/poi/poifs/filesystem/DocumentEntry.html"
                        title="interface in org.apache.poi.poifs.filesystem"><span
                        class="typeNameLink">DocumentEntry</span></a></li>
            </ul>
        </li>
        <li type="circle">java.lang.Iterable&lt;T&gt;
            <ul>
                <li type="circle">org.apache.poi.poifs.filesystem.<a
                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                        title="interface in org.apache.poi.poifs.filesystem"><span
                        class="typeNameLink">DirectoryEntry</span></a> (also extends org.apache.poi.poifs.filesystem.<a
                        href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                        title="interface in org.apache.poi.poifs.filesystem">Entry</a>)
                </li>
            </ul>
        </li>
        <li type="circle">org.apache.poi.poifs.filesystem.<a
                href="../../../../../org/apache/poi/poifs/filesystem/POIFSWriterListener.html"
                title="interface in org.apache.poi.poifs.filesystem"><span
                class="typeNameLink">POIFSWriterListener</span></a></li>
    </ul>
    <h2 title="Enum Hierarchy">Enum Hierarchy</h2>
    <ul>
        <li type="circle">java.lang.Object
            <ul>
                <li type="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;,
                    java.io.Serializable)
                    <ul>
                        <li type="circle">org.apache.poi.poifs.filesystem.<a
                                href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                title="enum in org.apache.poi.poifs.filesystem"><span
                                class="typeNameLink">FileMagic</span></a></li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/eventfilesystem/package-tree.html">Prev</a></li>
        <li><a href="../../../../../org/apache/poi/poifs/macros/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/filesystem/package-tree.html"
               target="_top">Frames</a></li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
